Package org.apache.sling.commons.json

# Annotation Type JSONPropertyName

@Documented @Retention(RUNTIME) @Target(METHOD) @Deprecated public @interface JSONPropertyName
Deprecated.
Use this annotation on a getter method to override the Bean name parser for Bean -> JSONObject mapping. A value set to empty string `""` will have the Bean parser fall back to the default field name processing.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`
Deprecated.
The value of the JSON property.

## Element Details

### value

String value
Deprecated.
The value of the JSON property.

Returns:
  The name of the property as to be used in the JSON Object.